package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillPropertyDeposit;
import com.iformall.domain.po.WxPropertyContract;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillPropertyDepositMapper extends CommonMapper<WxBillPropertyDeposit, Long> {

	List<WxBillPropertyDeposit> findList(WxBillPropertyDeposit wxBillPropertyDeposit);

	List<WxBillPropertyDeposit> queryBillDepositList(WxBillPropertyDeposit record);

	Map<String,Object> queryPayInfo(Map<String,Object> params);

	void updateNotPaidStatus(Map<String,Object> params);

	void updateWaitPayStatus(Map<String,Object> params);

	long queryOweCount(WxPropertyContract wxPropertyContract);
	
	
}
